variables:
  PANDOC_COMMAND: "pandoc --toc --pdf-engine=xelatex -V geometry:a4paper -V geometry:margin=1in -V geometry:left=5cm -s --template eisvogel --listings -V titlepage:true --metadata link-citations:true --bibliography=references.bib --citeproc --csl=french3.csl -N --top-level-division=chapter"

default:
  image: 
    name: danteev/texlive


pdf:
  stage: build
  script: 
    - $PANDOC_COMMAND historique.md intro-etatdeslieux.md etatdeslieux.md listedesforges.md contributeurs.md questionnairegroupes.md glossaire.md end.md -o etatdeslieux.pdf

orthographe:
  image: dleberre/cspellfr:1.0
  stage: test
  script: 
    - cspell --config cspell.json --locale "fr,en" -e README.md *.md 
  rules:
    - if: '($CI_JOB_NAME == "orthographe")'
      when: on_success


